---
title: "查询某个分类下商品信息"
description: "查询分类下商品信息。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/collection/get-products-in-a-collection'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/collection/get-products-in-a-collection.md'
---
# 查询某个分类下商品信息

查询分类下商品信息。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /products/collections/:collection_id/products.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_products`

## Request

### Path Parameters

* `collection_id`

  string (required)

  分类的唯一标识 ID。
  <br/>最大长度限制：64

### Query Parameters

* `fields`

  string (optional)

  指明需要返回的字段，多个字段用英文逗号分隔。可指定的字段范围参考响应体中 `products` 对象下的一级子字段。

* `limit`

  string (optional)

  要查询的商品的数量限制。
  <br/> 取值范围：1-250  
  <br/>默认值：50  

* `page_info`

  string (optional)

  分页查询的唯一标识，用于定位特定页面。
  
  该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/products/collections/:collection_id/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` ，那么 `page_info `的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` 。
  
  关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `link`

  提供分页数据的 URL 链接。你可以获取该字段值中的 `page_info` 信息用于下一次分页请求中。
  
  当你请求的页面存在上一页或下一页的时候，该字段会被返回。关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `products`

  array<object>

  商品列表。

  * `product_type`

    string

    商品的来源。有效枚举值包含：
    - `NORMAL` : SHOPLINE 商家后台维护的商品
    - `POD_TEMPORARY` : POD 应用的临时商品
    - `TEMPORARY` : 其他临时商品

  * `spu`

    string

    商家为商品自定义的标识，区别于 SHOPLINE 生成的 `products.id`。

  * `vendor`

    string

    商品的品牌或厂商。

  * `image`

    object

    商品的封面图。

    * `alt`

      string

      图片的替代文本描述，通常是具有图片特征或内容的单词或短语。

    * `src`

      string

      图片的链接，以 URL 形式展示。

  * `options`

    array<object>

    商品规格列表。

    * `id`

      string

      规格的唯一标识 ID。

    * `name`

      string

      规格的名称。

    * `product_id`

      string

      规格对应商品的唯一标识 ID。

    * `values`

      array<string>

      规格值列表。

    * `values_images`

      map

      规格值与对应图片 URL 的映射关系。

  * `path`

    string

    商品的相对路径。

  * `published_at`

    string

    商品发布到在线商店的时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `published_scope`

    string

    商品的销售渠道发布范围。有效值固定为`web`，代表在线商城。

  * `tags`

    string

    商品的标签。

  * `updated_at`

    string

    商品最近一次更新的时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `variants`

    array<object>

    商品款式列表。

    * `compare_at_price`

      string

      款式的原价，数值保留到小数点后两位。

    * `image`

      object

      款式的图片。

      * `alt`

        string

        款式图的替代文本描述，通常是具有图片特征或内容的单词或短语。

      * `src`

        string

        款式图的链接，以 URL 形式展示。

    * `inventory_policy`

      string

      表明款式是否允许超卖。
      - `deny`：不允许超卖。
      - `continue`：允许超卖。

    * `sku`

      string

      商家为款式自定义的标识，区别于 SHOPLINE 生成的 `variants.id`。

    * `title`

      string

      款式的标题，由款式的规格值拼装而成。

    * `inventory_quantity`

      integer

      各存放地点的库存数量总和。

    * `option3`

      string

      款式第三个规格的信息。

    * `price`

      string

      款式的售价，数值保留到小数点后两位。

    * `required_shipping`

      boolean

      表明款式是否需要运输。
      - `true`：需要运输。
      - `false`：不需要运输。

    * `option5`

      string

      款式第五个规格的信息。

    * `position`

      integer

      款式的排序位置。

    * `barcode`

      string

      款式的条形码。

    * `id`

      string

      款式的唯一标识 ID。

    * `inventory_item_id`

      string

      库存单位的唯一标识 ID。

    * `option1`

      string

      款式第一个规格的信息。

    * `option4`

      string

      款式第四个规格的信息。

    * `taxable`

      boolean

      表明款式是否需要收税。
      - `true`：需要收税。
      - `false`：不需要收税。

    * `inventory_tracker`

      boolean

      表明是否开启库存追踪。
      - `true`：开启库存追踪。
      - `false`：不开启库存追踪。

    * `option2`

      string

      款式第二个规格的信息。

    * `product_id`

      string

      款式对应商品的唯一标识 ID。

    * `weight`

      string

      款式的重量，超过两位小数向上取整。

    * `weight_unit`

      string

      款式的重量单位。有效枚举值包含：
      - `g`：克
      - `kg`：千克
      - `lb`：磅
      - `oz`：盎司
      - `zh_kg`：公斤

  * `id`

    string

    商品的唯一标识 ID。

  * `images`

    array<object>

    商品图片列表。

    * `alt`

      string

      商品图的替代文本描述，通常是具有图片特征或内容的单词或短语。

    * `src`

      string

      商品图的链接，以 URL 形式展示。

  * `product_behavior`

    string

    用于标识商品的特殊行为，只在特定情况下有值返回。例如，当商品有潜在风险时，返回一个值。

  * `status`

    string

    商品的状态。有效枚举值包含：
    - `active`: 上架
    - `draft`: 下架
    - `archived`: 归档

  * `subtitle`

    string

    商品的摘要。

  * `title`

    string

    商品的标题。

  * `body_html`

    string

    商品的描述。

  * `created_at`

    string

    商品的创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `handle`

    string

    商品的语义化的唯一标识，默认基于 `title` 生成。

  * `template_path`

    string

    商品的主题模板。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "查询某个分类下商品信息"
  ],
  "description": "查询分类下商品信息。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_products` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "2xr0uKI2",
  "parameters": [
    {
      "name": "collection_id",
      "in": "path",
      "description": "分类的唯一标识 ID。\n<br/>最大长度限制：64",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "collection_id",
        "description": "分类的唯一标识 ID。\n<br/>最大长度限制：64",
        "type": "string",
        "example": "16050375155238626683133099"
      },
      "example": "16050375155238626683133099",
      "examples": {
        "查询分类下商品信息": {
          "value": "12261186277836500577262340"
        }
      }
    },
    {
      "name": "fields",
      "in": "query",
      "description": "指明需要返回的字段，多个字段用英文逗号分隔。可指定的字段范围参考响应体中 `products` 对象下的一级子字段。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "指明需要返回的字段，多个字段用英文逗号分隔。可指定的字段范围参考响应体中 `products` 对象下的一级子字段。",
        "type": "string",
        "example": "title,id"
      },
      "example": "title,id",
      "examples": {
        "查询分类下商品信息": {
          "value": ""
        }
      }
    },
    {
      "name": "limit",
      "in": "query",
      "description": "要查询的商品的数量限制。\n<br/> 取值范围：1-250  \n<br/>默认值：50  ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "要查询的商品的数量限制。\n<br/> 取值范围：1-250  \n<br/>默认值：50  ",
        "type": "string"
      },
      "examples": {
        "查询分类下商品信息": {
          "value": ""
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "分页查询的唯一标识，用于定位特定页面。\n\n该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/products/collections/:collection_id/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` ，那么 `page_info `的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` 。\n\n关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "分页查询的唯一标识，用于定位特定页面。 该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://\\{handle\\}.myshopline.com/admin/openapi/\\{version\\}/products/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"`，那么 `page_info` 的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`。  \n\n关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
        "type": "string"
      },
      "examples": {
        "查询分类下商品信息": {
          "value": ""
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "link": {
          "description": "提供分页数据的 URL 链接。你可以获取该字段值中的 `page_info` 信息用于下一次分页请求中。\n\n当你请求的页面存在上一页或下一页的时候，该字段会被返回。关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/products/collections/:collection_id/products.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/products/collections/:collection_id/products.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "products": {
                "name": "products",
                "description": "商品列表。",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "product_type": {
                      "name": "product_type",
                      "description": "商品的来源。有效枚举值包含：\n- `NORMAL` : SHOPLINE 商家后台维护的商品\n- `POD_TEMPORARY` : POD 应用的临时商品\n- `TEMPORARY` : 其他临时商品",
                      "type": "string"
                    },
                    "spu": {
                      "name": "spu",
                      "description": "商家为商品自定义的标识，区别于 SHOPLINE 生成的 `products.id`。",
                      "type": "string",
                      "example": "S0000001"
                    },
                    "vendor": {
                      "name": "vendor",
                      "description": "商品的品牌或厂商。",
                      "type": "string",
                      "example": "SHOPLINE"
                    },
                    "image": {
                      "name": "image",
                      "description": "商品的封面图。",
                      "type": "object",
                      "properties": {
                        "alt": {
                          "name": "alt",
                          "description": "图片的替代文本描述，通常是具有图片特征或内容的单词或短语。",
                          "type": "string",
                          "example": "This is an image alt."
                        },
                        "src": {
                          "name": "src",
                          "description": "图片的链接，以 URL 形式展示。",
                          "type": "string",
                          "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": {
                        "alt": "This is an image alt.",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "options": {
                      "name": "options",
                      "description": "商品规格列表。",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "name": "id",
                            "description": "规格的唯一标识 ID。",
                            "type": "string",
                            "example": "16158068291703878544960282"
                          },
                          "name": {
                            "name": "name",
                            "description": "规格的名称。",
                            "type": "string",
                            "example": "Color"
                          },
                          "product_id": {
                            "name": "product_id",
                            "description": "规格对应商品的唯一标识 ID。",
                            "type": "string",
                            "example": "16057850264845250791280282"
                          },
                          "values": {
                            "name": "values",
                            "description": "规格值列表。",
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "[\"red\", \"green\", \"white\"]"
                            },
                            "example": [
                              "[\"red\", \"green\", \"white\"]"
                            ]
                          },
                          "values_images": {
                            "name": "values_images",
                            "description": "规格值与对应图片 URL 的映射关系。",
                            "type": "map",
                            "example": {
                              "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                            }
                          }
                        },
                        "example": {
                          "product_id": "16057850264845250791280282",
                          "values": [
                            "[\"red\", \"green\", \"white\"]"
                          ],
                          "values_images": {
                            "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          },
                          "id": "16158068291703878544960282",
                          "name": "Color"
                        }
                      },
                      "example": [
                        {
                          "values_images": {
                            "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          },
                          "id": "16158068291703878544960282",
                          "name": "Color",
                          "product_id": "16057850264845250791280282",
                          "values": [
                            "[\"red\", \"green\", \"white\"]"
                          ]
                        }
                      ]
                    },
                    "path": {
                      "name": "path",
                      "description": "商品的相对路径。",
                      "type": "string",
                      "example": "/products/clothes"
                    },
                    "published_at": {
                      "name": "published_at",
                      "description": "商品发布到在线商店的时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                      "type": "string",
                      "example": "2025-03-06T02:20:26+08:00"
                    },
                    "published_scope": {
                      "name": "published_scope",
                      "description": "商品的销售渠道发布范围。有效值固定为`web`，代表在线商城。",
                      "type": "string"
                    },
                    "tags": {
                      "name": "tags",
                      "description": "商品的标签。",
                      "type": "string",
                      "example": "tag1, tag2"
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "商品最近一次更新的时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                      "type": "string",
                      "example": "2025-03-06T02:20:26+08:00"
                    },
                    "variants": {
                      "name": "variants",
                      "description": "商品款式列表。",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "compare_at_price": {
                            "name": "compare_at_price",
                            "description": "款式的原价，数值保留到小数点后两位。",
                            "type": "string",
                            "example": "129.99"
                          },
                          "image": {
                            "name": "image",
                            "description": "款式的图片。",
                            "type": "object",
                            "properties": {
                              "alt": {
                                "name": "alt",
                                "description": "款式图的替代文本描述，通常是具有图片特征或内容的单词或短语。",
                                "type": "string",
                                "example": "This is an image alt."
                              },
                              "src": {
                                "name": "src",
                                "description": "款式图的链接，以 URL 形式展示。",
                                "type": "string",
                                "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                              }
                            },
                            "example": {
                              "alt": "This is an image alt.",
                              "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                            }
                          },
                          "inventory_policy": {
                            "name": "inventory_policy",
                            "description": "表明款式是否允许超卖。\n- `deny`：不允许超卖。\n- `continue`：允许超卖。",
                            "type": "string"
                          },
                          "sku": {
                            "name": "sku",
                            "description": "商家为款式自定义的标识，区别于 SHOPLINE 生成的 `variants.id`。",
                            "type": "string",
                            "example": "S000000001"
                          },
                          "title": {
                            "name": "title",
                            "description": "款式的标题，由款式的规格值拼装而成。",
                            "type": "string",
                            "example": "red · xl"
                          },
                          "inventory_quantity": {
                            "name": "inventory_quantity",
                            "description": "各存放地点的库存数量总和。",
                            "type": "integer",
                            "example": 99
                          },
                          "option3": {
                            "name": "option3",
                            "description": "款式第三个规格的信息。",
                            "type": "string",
                            "example": "cotton"
                          },
                          "price": {
                            "name": "price",
                            "description": "款式的售价，数值保留到小数点后两位。",
                            "type": "string",
                            "example": "90.22"
                          },
                          "required_shipping": {
                            "name": "required_shipping",
                            "description": "表明款式是否需要运输。\n- `true`：需要运输。\n- `false`：不需要运输。",
                            "type": "boolean"
                          },
                          "option5": {
                            "name": "option5",
                            "description": "款式第五个规格的信息。",
                            "type": "string",
                            "example": "casual"
                          },
                          "position": {
                            "name": "position",
                            "description": "款式的排序位置。",
                            "type": "integer",
                            "example": 1
                          },
                          "barcode": {
                            "name": "barcode",
                            "description": "款式的条形码。",
                            "type": "string",
                            "example": "T0000001"
                          },
                          "id": {
                            "name": "id",
                            "description": "款式的唯一标识 ID。",
                            "type": "string",
                            "example": "18057850264851626133510282"
                          },
                          "inventory_item_id": {
                            "name": "inventory_item_id",
                            "description": "库存单位的唯一标识 ID。",
                            "type": "string",
                            "example": "5785060242375689228"
                          },
                          "option1": {
                            "name": "option1",
                            "description": "款式第一个规格的信息。",
                            "type": "string",
                            "example": "red"
                          },
                          "option4": {
                            "name": "option4",
                            "description": "款式第四个规格的信息。",
                            "type": "string",
                            "example": "short"
                          },
                          "taxable": {
                            "name": "taxable",
                            "description": "表明款式是否需要收税。\n- `true`：需要收税。\n- `false`：不需要收税。",
                            "type": "boolean"
                          },
                          "inventory_tracker": {
                            "name": "inventory_tracker",
                            "description": "表明是否开启库存追踪。\n- `true`：开启库存追踪。\n- `false`：不开启库存追踪。",
                            "type": "boolean"
                          },
                          "option2": {
                            "name": "option2",
                            "description": "款式第二个规格的信息。",
                            "type": "string",
                            "example": "xl"
                          },
                          "product_id": {
                            "name": "product_id",
                            "description": "款式对应商品的唯一标识 ID。",
                            "type": "string",
                            "example": "16057850264845250791280282"
                          },
                          "weight": {
                            "name": "weight",
                            "description": "款式的重量，超过两位小数向上取整。",
                            "type": "string",
                            "example": "0.23"
                          },
                          "weight_unit": {
                            "name": "weight_unit",
                            "description": "款式的重量单位。有效枚举值包含：\n- `g`：克\n- `kg`：千克\n- `lb`：磅\n- `oz`：盎司\n- `zh_kg`：公斤",
                            "type": "string"
                          }
                        },
                        "example": {
                          "option2": "xl",
                          "option5": "casual",
                          "price": "90.22",
                          "image": {
                            "alt": "This is an image alt.",
                            "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          },
                          "inventory_policy": null,
                          "option4": "short",
                          "product_id": "16057850264845250791280282",
                          "position": 1,
                          "id": "18057850264851626133510282",
                          "inventory_item_id": "5785060242375689228",
                          "option3": "cotton",
                          "required_shipping": null,
                          "taxable": null,
                          "compare_at_price": "129.99",
                          "inventory_quantity": 99,
                          "sku": "S000000001",
                          "title": "red · xl",
                          "weight": "0.23",
                          "weight_unit": null,
                          "barcode": "T0000001",
                          "inventory_tracker": null,
                          "option1": "red"
                        }
                      },
                      "example": [
                        {
                          "inventory_item_id": "5785060242375689228",
                          "option3": "cotton",
                          "barcode": "T0000001",
                          "compare_at_price": "129.99",
                          "id": "18057850264851626133510282",
                          "option5": "casual",
                          "price": "90.22",
                          "required_shipping": null,
                          "weight_unit": null,
                          "option1": "red",
                          "option2": "xl",
                          "position": 1,
                          "product_id": "16057850264845250791280282",
                          "title": "red · xl",
                          "inventory_policy": null,
                          "inventory_quantity": 99,
                          "inventory_tracker": null,
                          "option4": "short",
                          "sku": "S000000001",
                          "taxable": null,
                          "weight": "0.23",
                          "image": {
                            "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png",
                            "alt": "This is an image alt."
                          }
                        }
                      ]
                    },
                    "id": {
                      "name": "id",
                      "description": "商品的唯一标识 ID。",
                      "type": "string",
                      "example": "16057850264845250791280282"
                    },
                    "images": {
                      "name": "images",
                      "description": "商品图片列表。",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "alt": {
                            "name": "alt",
                            "description": "商品图的替代文本描述，通常是具有图片特征或内容的单词或短语。",
                            "type": "string",
                            "example": "This is an image alt."
                          },
                          "src": {
                            "name": "src",
                            "description": "商品图的链接，以 URL 形式展示。",
                            "type": "string",
                            "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          }
                        },
                        "example": {
                          "alt": "This is an image alt.",
                          "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": [
                        {
                          "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png",
                          "alt": "This is an image alt."
                        }
                      ]
                    },
                    "product_behavior": {
                      "name": "product_behavior",
                      "description": "用于标识商品的特殊行为，只在特定情况下有值返回。例如，当商品有潜在风险时，返回一个值。",
                      "type": "string",
                      "example": "RISK,HIDDEN"
                    },
                    "status": {
                      "name": "status",
                      "description": "商品的状态。有效枚举值包含：\n- `active`: 上架\n- `draft`: 下架\n- `archived`: 归档",
                      "type": "string"
                    },
                    "subtitle": {
                      "name": "subtitle",
                      "description": "商品的摘要。",
                      "type": "string",
                      "example": "This is a subtitle"
                    },
                    "title": {
                      "name": "title",
                      "description": "商品的标题。",
                      "type": "string",
                      "example": "This is a Product title"
                    },
                    "body_html": {
                      "name": "body_html",
                      "description": "商品的描述。",
                      "type": "string"
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "商品的创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                      "type": "string",
                      "example": "2025-03-06T02:20:26+08:00"
                    },
                    "handle": {
                      "name": "handle",
                      "description": "商品的语义化的唯一标识，默认基于 `title` 生成。",
                      "type": "string",
                      "example": "product-handle"
                    },
                    "template_path": {
                      "name": "template_path",
                      "description": "商品的主题模板。",
                      "type": "string",
                      "example": "templates/product.product_template_name.json"
                    }
                  },
                  "example": {
                    "variants": [
                      {
                        "image": {
                          "alt": "This is an image alt.",
                          "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        },
                        "inventory_policy": null,
                        "inventory_quantity": 99,
                        "option3": "cotton",
                        "position": 1,
                        "weight": "0.23",
                        "inventory_item_id": "5785060242375689228",
                        "inventory_tracker": null,
                        "option1": "red",
                        "option2": "xl",
                        "option4": "short",
                        "required_shipping": null,
                        "barcode": "T0000001",
                        "id": "18057850264851626133510282",
                        "price": "90.22",
                        "sku": "S000000001",
                        "taxable": null,
                        "weight_unit": null,
                        "compare_at_price": "129.99",
                        "option5": "casual",
                        "product_id": "16057850264845250791280282",
                        "title": "red · xl"
                      }
                    ],
                    "vendor": "SHOPLINE",
                    "body_html": null,
                    "options": [
                      {
                        "id": "16158068291703878544960282",
                        "name": "Color",
                        "product_id": "16057850264845250791280282",
                        "values": [
                          "[\"red\", \"green\", \"white\"]"
                        ],
                        "values_images": {
                          "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      }
                    ],
                    "tags": "tag1, tag2",
                    "updated_at": "2025-03-06T02:20:26+08:00",
                    "handle": "product-handle",
                    "id": "16057850264845250791280282",
                    "product_type": null,
                    "published_at": "2025-03-06T02:20:26+08:00",
                    "spu": "S0000001",
                    "subtitle": "This is a subtitle",
                    "image": {
                      "alt": "This is an image alt.",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "path": "/products/clothes",
                    "published_scope": null,
                    "status": null,
                    "template_path": "templates/product.product_template_name.json",
                    "title": "This is a Product title",
                    "created_at": "2025-03-06T02:20:26+08:00",
                    "images": [
                      {
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png",
                        "alt": "This is an image alt."
                      }
                    ],
                    "product_behavior": "RISK,HIDDEN"
                  }
                },
                "example": [
                  {
                    "updated_at": "2025-03-06T02:20:26+08:00",
                    "created_at": "2025-03-06T02:20:26+08:00",
                    "path": "/products/clothes",
                    "product_behavior": "RISK,HIDDEN",
                    "published_scope": null,
                    "variants": [
                      {
                        "option3": "cotton",
                        "product_id": "16057850264845250791280282",
                        "taxable": null,
                        "compare_at_price": "129.99",
                        "inventory_policy": null,
                        "sku": "S000000001",
                        "weight": "0.23",
                        "weight_unit": null,
                        "barcode": "T0000001",
                        "id": "18057850264851626133510282",
                        "option1": "red",
                        "option2": "xl",
                        "option4": "short",
                        "position": 1,
                        "required_shipping": null,
                        "title": "red · xl",
                        "image": {
                          "alt": "This is an image alt.",
                          "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        },
                        "inventory_item_id": "5785060242375689228",
                        "inventory_quantity": 99,
                        "inventory_tracker": null,
                        "option5": "casual",
                        "price": "90.22"
                      }
                    ],
                    "body_html": null,
                    "image": {
                      "alt": "This is an image alt.",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "images": [
                      {
                        "alt": "This is an image alt.",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    ],
                    "options": [
                      {
                        "id": "16158068291703878544960282",
                        "name": "Color",
                        "product_id": "16057850264845250791280282",
                        "values": [
                          "[\"red\", \"green\", \"white\"]"
                        ],
                        "values_images": {
                          "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      }
                    ],
                    "tags": "tag1, tag2",
                    "template_path": "templates/product.product_template_name.json",
                    "vendor": "SHOPLINE",
                    "status": null,
                    "handle": "product-handle",
                    "product_type": null,
                    "published_at": "2025-03-06T02:20:26+08:00",
                    "spu": "S0000001",
                    "id": "16057850264845250791280282",
                    "subtitle": "This is a subtitle",
                    "title": "This is a Product title"
                  }
                ]
              }
            },
            "example": {
              "products": [
                {
                  "images": [
                    {
                      "alt": "This is an image alt.",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    }
                  ],
                  "options": [
                    {
                      "name": "Color",
                      "product_id": "16057850264845250791280282",
                      "values": [
                        "[\"red\", \"green\", \"white\"]"
                      ],
                      "values_images": {
                        "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      },
                      "id": "16158068291703878544960282"
                    }
                  ],
                  "published_at": "2025-03-06T02:20:26+08:00",
                  "updated_at": "2025-03-06T02:20:26+08:00",
                  "handle": "product-handle",
                  "image": {
                    "alt": "This is an image alt.",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                  },
                  "published_scope": null,
                  "spu": "S0000001",
                  "status": null,
                  "title": "This is a Product title",
                  "variants": [
                    {
                      "sku": "S000000001",
                      "barcode": "T0000001",
                      "id": "18057850264851626133510282",
                      "price": "90.22",
                      "product_id": "16057850264845250791280282",
                      "title": "red · xl",
                      "inventory_policy": null,
                      "option2": "xl",
                      "position": 1,
                      "taxable": null,
                      "weight": "0.23",
                      "compare_at_price": "129.99",
                      "inventory_quantity": 99,
                      "inventory_tracker": null,
                      "weight_unit": null,
                      "image": {
                        "alt": "This is an image alt.",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      },
                      "inventory_item_id": "5785060242375689228",
                      "option1": "red",
                      "option3": "cotton",
                      "option4": "short",
                      "option5": "casual",
                      "required_shipping": null
                    }
                  ],
                  "path": "/products/clothes",
                  "product_type": null,
                  "template_path": "templates/product.product_template_name.json",
                  "vendor": "SHOPLINE",
                  "product_behavior": "RISK,HIDDEN",
                  "subtitle": "This is a subtitle",
                  "tags": "tag1, tag2",
                  "body_html": null,
                  "created_at": "2025-03-06T02:20:26+08:00",
                  "id": "16057850264845250791280282"
                }
              ]
            }
          },
          "examples": {
            "查询分类下商品信息": {
              "description": "查询分类下商品信息。",
              "value": {
                "products": [
                  {
                    "created_at": "2023-06-12T17:45:43+08:00",
                    "id": "16059766321245219059003144",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "options": [
                      {
                        "product_id": "16059766321245219059003144",
                        "values": [
                          "L"
                        ],
                        "values_images": {},
                        "id": "16159766321249077818763144",
                        "name": "Size"
                      },
                      {
                        "id": "16159766321249077818793144",
                        "name": "Color",
                        "product_id": "16059766321245219059003144",
                        "values": [
                          "White"
                        ],
                        "values_images": {}
                      }
                    ],
                    "tags": "T shirt,Spring",
                    "updated_at": "2023-08-28T19:26:10+08:00",
                    "vendor": "Shopline",
                    "handle": "t-shop-1",
                    "product_type": "NORMAL",
                    "spu": "S000000001",
                    "body_html": "<p>This is a desription</p>",
                    "product_behavior": "",
                    "published_at": "2023-06-12T17:45:43+08:00",
                    "published_scope": "web",
                    "status": "active",
                    "subtitle": "This is a subtitle",
                    "title": "My Product 1",
                    "template_path": "templates/products/detail.html",
                    "variants": [
                      {
                        "weight_unit": "g",
                        "id": "18059766321249077818743144",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_quantity": 580,
                        "position": 1,
                        "barcode": "T00000001",
                        "title": "L · White",
                        "required_shipping": true,
                        "inventory_item_id": "5976632126082151706",
                        "option1": "L",
                        "price": "100.00",
                        "product_id": "16059766321245219059003144",
                        "sku": "S00000000101",
                        "taxable": true,
                        "compare_at_price": "120.00",
                        "inventory_policy": "continue",
                        "inventory_tracker": true,
                        "option2": "White",
                        "weight": "10.00"
                      }
                    ]
                  },
                  {
                    "subtitle": "This is a subtitle",
                    "images": [
                      {
                        "alt": "This is a image alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "status": "active",
                    "created_at": "2023-08-28T11:52:10+08:00",
                    "handle": "my-product-23",
                    "id": "16060878916899800731963144",
                    "product_type": "NORMAL",
                    "spu": "S000000001",
                    "tags": "Spring,T shirt",
                    "title": "My Product 23",
                    "image": {
                      "alt": "This is a image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "template_path": "templates/products/detail.html",
                    "updated_at": "2023-08-28T15:14:39+08:00",
                    "variants": [
                      {
                        "required_shipping": true,
                        "product_id": "16060878916899800731963144",
                        "compare_at_price": "120.00",
                        "image": {
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
                          "alt": "This is a image alt"
                        },
                        "inventory_item_id": "6087891691791978273",
                        "inventory_policy": "continue",
                        "option1": "L",
                        "price": "100.00",
                        "weight": "10.00",
                        "barcode": "T00000001",
                        "id": "18060878916903491719543144",
                        "sku": "S00000000101",
                        "taxable": true,
                        "inventory_quantity": 580,
                        "inventory_tracker": true,
                        "title": "L · White",
                        "weight_unit": "g",
                        "option2": "White",
                        "position": 1
                      },
                      {
                        "title": "XL · White",
                        "inventory_item_id": "6087891691791978274",
                        "inventory_quantity": 100,
                        "option1": "XL",
                        "product_id": "16060878916899800731963144",
                        "required_shipping": true,
                        "weight_unit": "g",
                        "barcode": "B0000000001",
                        "compare_at_price": "120.00",
                        "id": "18060878916903491719633144",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_tracker": true,
                        "option2": "White",
                        "weight": "50.00",
                        "taxable": true,
                        "price": "100.00",
                        "inventory_policy": "deny",
                        "position": 2,
                        "sku": "S00000000102"
                      },
                      {
                        "barcode": "B0000000001",
                        "compare_at_price": "120.00",
                        "option1": "XXL",
                        "price": "100.00",
                        "title": "XXL · White",
                        "weight_unit": "g",
                        "id": "18060878916903491719693144",
                        "image": {
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
                          "alt": "My Product-10"
                        },
                        "inventory_item_id": "6087891691791978272",
                        "inventory_policy": "deny",
                        "option2": "White",
                        "weight": "50.00",
                        "inventory_tracker": true,
                        "product_id": "16060878916899800731963144",
                        "required_shipping": true,
                        "sku": "S00000000103",
                        "taxable": true,
                        "inventory_quantity": 170,
                        "position": 3
                      }
                    ],
                    "vendor": "Shopline",
                    "body_html": "<p>This is a desription</p>",
                    "options": [
                      {
                        "id": "16160878916903491719563144",
                        "name": "Size",
                        "product_id": "16060878916899800731963144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {}
                      },
                      {
                        "name": "Color",
                        "product_id": "16060878916899800731963144",
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160878916903491719593144"
                      }
                    ],
                    "product_behavior": "",
                    "published_at": "2023-08-28T11:52:10+08:00",
                    "published_scope": "web"
                  },
                  {
                    "image": {
                      "alt": "My Product 20",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "product_type": "NORMAL",
                    "title": "My Product 20",
                    "handle": "my-product-20",
                    "id": "16060878906566210188893144",
                    "options": [
                      {
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160878906569901176493144",
                        "name": "Color",
                        "product_id": "16060878906566210188893144"
                      }
                    ],
                    "updated_at": "2023-08-28T15:12:18+08:00",
                    "vendor": "Shopline",
                    "published_at": "2023-08-28T11:51:09+08:00",
                    "published_scope": "web",
                    "status": "active",
                    "template_path": "templates/products/detail.html",
                    "variants": [
                      {
                        "id": "18060878906569901176473144",
                        "option1": "White",
                        "position": 1,
                        "required_shipping": true,
                        "weight": "10.00",
                        "price": "100.00",
                        "product_id": "16060878906566210188893144",
                        "title": "White",
                        "weight_unit": "g",
                        "inventory_item_id": "6087890657963176169",
                        "inventory_policy": "continue",
                        "inventory_quantity": 580,
                        "sku": "S00000000101",
                        "taxable": true,
                        "barcode": "T00000001",
                        "compare_at_price": "120.00",
                        "image": {
                          "alt": "Seo Title",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                        },
                        "inventory_tracker": true
                      }
                    ],
                    "body_html": "<p>This is a desription</p>",
                    "created_at": "2023-08-28T11:51:09+08:00",
                    "images": [
                      {
                        "alt": "My Product 20",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                      }
                    ],
                    "product_behavior": "",
                    "spu": "S000000001",
                    "subtitle": "This is a subtitle",
                    "tags": "Spring,T shirt"
                  },
                  {
                    "handle": "my-product-24",
                    "id": "16060879464944338685503144",
                    "options": [
                      {
                        "id": "16160879464948700761743144",
                        "name": "Size",
                        "product_id": "16060879464944338685503144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {}
                      },
                      {
                        "product_id": "16060879464944338685503144",
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160879464948700761773144",
                        "name": "Color"
                      }
                    ],
                    "published_at": "2023-08-28T12:46:37+08:00",
                    "template_path": "templates/products/detail.html",
                    "title": "My Product 24",
                    "vendor": "Shopline",
                    "created_at": "2023-08-28T12:46:37+08:00",
                    "product_behavior": "",
                    "subtitle": "This is a subtitle",
                    "tags": "Spring,T shirt",
                    "updated_at": "2023-08-28T12:46:37+08:00",
                    "variants": [
                      {
                        "price": "100.00",
                        "product_id": "16060879464944338685503144",
                        "weight_unit": "g",
                        "compare_at_price": "120.00",
                        "inventory_policy": "continue",
                        "inventory_quantity": 580,
                        "option1": "L",
                        "position": 1,
                        "barcode": "T00000001",
                        "id": "18060879464948700761723144",
                        "inventory_tracker": true,
                        "sku": "S00000000101",
                        "inventory_item_id": "6087946495557900202",
                        "option2": "White",
                        "required_shipping": true,
                        "taxable": true,
                        "title": "L · White",
                        "weight": "10.00"
                      },
                      {
                        "position": 2,
                        "id": "18060879464948700761813144",
                        "inventory_item_id": "6087946495557900201",
                        "inventory_tracker": true,
                        "option2": "White",
                        "taxable": true,
                        "weight_unit": "g",
                        "barcode": "B0000000001",
                        "price": "100.00",
                        "weight": "50.00",
                        "option1": "XL",
                        "product_id": "16060879464944338685503144",
                        "required_shipping": true,
                        "sku": "S00000000102",
                        "title": "XL · White",
                        "compare_at_price": "120.00",
                        "inventory_policy": "deny",
                        "inventory_quantity": 100
                      },
                      {
                        "barcode": "B0000000001",
                        "inventory_item_id": "6087946495557900203",
                        "option2": "White",
                        "taxable": true,
                        "title": "XXL · White",
                        "weight_unit": "g",
                        "compare_at_price": "120.00",
                        "position": 3,
                        "sku": "S00000000103",
                        "product_id": "16060879464944338685503144",
                        "id": "18060879464948700761873144",
                        "inventory_quantity": 170,
                        "inventory_tracker": true,
                        "option1": "XXL",
                        "price": "100.00",
                        "inventory_policy": "deny",
                        "required_shipping": true,
                        "weight": "50.00"
                      }
                    ],
                    "product_type": "NORMAL",
                    "published_scope": "web",
                    "spu": "S000000001",
                    "status": "active",
                    "body_html": "<p>This is a desription</p>"
                  },
                  {
                    "variants": [
                      {
                        "taxable": true,
                        "weight": "10.00",
                        "weight_unit": "g",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_tracker": true,
                        "title": "L · White",
                        "compare_at_price": "120.00",
                        "id": "18060878914761712410193144",
                        "inventory_policy": "continue",
                        "option2": "White",
                        "position": 1,
                        "required_shipping": true,
                        "inventory_item_id": "6087891476909399065",
                        "inventory_quantity": 580,
                        "price": "100.00",
                        "product_id": "16060878914758692511253144",
                        "sku": "S00000000101",
                        "barcode": "T00000001",
                        "option1": "L"
                      },
                      {
                        "barcode": "B0000000001",
                        "inventory_quantity": 100,
                        "option1": "XL",
                        "option2": "White",
                        "product_id": "16060878914758692511253144",
                        "title": "XL · White",
                        "compare_at_price": "120.00",
                        "inventory_policy": "deny",
                        "position": 2,
                        "price": "100.00",
                        "required_shipping": true,
                        "inventory_item_id": "6087891476926176283",
                        "inventory_tracker": true,
                        "sku": "S00000000102",
                        "id": "18060878914761712410283144",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "taxable": true,
                        "weight": "50.00",
                        "weight_unit": "g"
                      },
                      {
                        "barcode": "B0000000001",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "option2": "White",
                        "title": "XXL · White",
                        "weight": "50.00",
                        "weight_unit": "g",
                        "id": "18060878914761712410343144",
                        "inventory_policy": "deny",
                        "option1": "XXL",
                        "position": 3,
                        "required_shipping": true,
                        "compare_at_price": "120.00",
                        "inventory_tracker": true,
                        "price": "100.00",
                        "product_id": "16060878914758692511253144",
                        "inventory_item_id": "6087891476926176282",
                        "inventory_quantity": 170,
                        "sku": "S00000000103",
                        "taxable": true
                      }
                    ],
                    "handle": "my-product-22",
                    "product_behavior": "",
                    "product_type": "NORMAL",
                    "spu": "S000000001",
                    "created_at": "2023-08-28T11:51:57+08:00",
                    "id": "16060878914758692511253144",
                    "published_at": "2023-08-28T11:51:57+08:00",
                    "published_scope": "web",
                    "status": "active",
                    "subtitle": "This is a subtitle",
                    "template_path": "templates/products/detail.html",
                    "body_html": "<p>This is a desription</p>",
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "vendor": "Shopline",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "options": [
                      {
                        "id": "16160878914761712410213144",
                        "name": "Size",
                        "product_id": "16060878914758692511253144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {}
                      },
                      {
                        "product_id": "16060878914758692511253144",
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160878914761712410243144",
                        "name": "Color"
                      }
                    ],
                    "tags": "Spring,T shirt",
                    "title": "My Product 22",
                    "updated_at": "2023-08-28T19:24:56+08:00"
                  },
                  {
                    "body_html": "<p>This is a desription</p>",
                    "handle": "my-product-21",
                    "published_at": "2023-08-28T11:51:21+08:00",
                    "spu": "S000000001",
                    "tags": "Spring,T shirt",
                    "template_path": "templates/products/detail.html",
                    "vendor": "Shopline",
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "published_scope": "web",
                    "status": "active",
                    "updated_at": "2023-08-28T19:24:38+08:00",
                    "id": "16060878908674770588483144",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "options": [
                      {
                        "name": "Size",
                        "product_id": "16060878908674770588483144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {},
                        "id": "16160878908677958259643144"
                      },
                      {
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160878908677958259673144",
                        "name": "Color",
                        "product_id": "16060878908674770588483144"
                      }
                    ],
                    "title": "My Product 21",
                    "created_at": "2023-08-28T11:51:21+08:00",
                    "product_behavior": "",
                    "product_type": "NORMAL",
                    "subtitle": "This is a subtitle",
                    "variants": [
                      {
                        "inventory_item_id": "6087890868584345153",
                        "product_id": "16060878908674770588483144",
                        "required_shipping": true,
                        "taxable": true,
                        "title": "L · White",
                        "weight_unit": "g",
                        "barcode": "T00000001",
                        "option1": "L",
                        "sku": "S00000000101",
                        "compare_at_price": "120.00",
                        "id": "18060878908677958259623144",
                        "inventory_policy": "continue",
                        "position": 1,
                        "price": "100.00",
                        "weight": "10.00",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_quantity": 580,
                        "inventory_tracker": true,
                        "option2": "White"
                      },
                      {
                        "price": "100.00",
                        "required_shipping": true,
                        "taxable": true,
                        "weight": "50.00",
                        "compare_at_price": "120.00",
                        "inventory_quantity": 100,
                        "inventory_tracker": true,
                        "weight_unit": "g",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_policy": "deny",
                        "position": 2,
                        "title": "XL · White",
                        "id": "18060878908677958259713144",
                        "inventory_item_id": "6087890868584345151",
                        "option1": "XL",
                        "product_id": "16060878908674770588483144",
                        "sku": "S00000000102",
                        "barcode": "B0000000001",
                        "option2": "White"
                      },
                      {
                        "compare_at_price": "120.00",
                        "id": "18060878908678126031933144",
                        "inventory_item_id": "6087890868584345152",
                        "inventory_quantity": 170,
                        "inventory_tracker": true,
                        "option1": "XXL",
                        "weight": "50.00",
                        "weight_unit": "g",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_policy": "deny",
                        "price": "100.00",
                        "product_id": "16060878908674770588483144",
                        "option2": "White",
                        "required_shipping": true,
                        "taxable": true,
                        "barcode": "B0000000001",
                        "position": 3,
                        "sku": "S00000000103",
                        "title": "XXL · White"
                      }
                    ]
                  },
                  {
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "options": [
                      {
                        "name": "Color",
                        "product_id": "16060878902926560859813144",
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160878902931594024693144"
                      }
                    ],
                    "product_behavior": "",
                    "published_at": "2023-08-28T11:50:47+08:00",
                    "spu": "S000000001",
                    "status": "active",
                    "tags": "Spring,T shirt",
                    "title": "My Product 19",
                    "created_at": "2023-08-28T11:50:47+08:00",
                    "handle": "my-product-19",
                    "product_type": "NORMAL",
                    "published_scope": "web",
                    "variants": [
                      {
                        "barcode": "T00000001",
                        "weight": "10.00",
                        "inventory_quantity": 580,
                        "inventory_tracker": true,
                        "position": 1,
                        "product_id": "16060878902926560859813144",
                        "required_shipping": true,
                        "taxable": true,
                        "weight_unit": "g",
                        "compare_at_price": "120.00",
                        "id": "18060878902931594024673144",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_item_id": "6087890295139080241",
                        "inventory_policy": "continue",
                        "option1": "White",
                        "price": "100.00",
                        "title": "White",
                        "sku": "S00000000101"
                      }
                    ],
                    "body_html": "<p>This is a desription</p>",
                    "id": "16060878902926560859813144",
                    "subtitle": "This is a subtitle",
                    "updated_at": "2023-08-28T19:23:56+08:00",
                    "image": {
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
                      "alt": "This is a alt"
                    },
                    "template_path": "templates/products/detail.html",
                    "vendor": "Shopline"
                  },
                  {
                    "subtitle": "This is a subtitle",
                    "body_html": "<p>This is a desription</p>",
                    "id": "16060878900384309254383144",
                    "image": {
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
                      "alt": "My Product 17"
                    },
                    "title": "My Product 18",
                    "vendor": "Shopline",
                    "spu": "S0000001",
                    "created_at": "2023-08-28T11:50:32+08:00",
                    "handle": "my-product-18",
                    "images": [
                      {
                        "alt": "My Product 17",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "options": [],
                    "product_behavior": "",
                    "published_at": "2023-08-28T11:50:32+08:00",
                    "tags": "T shirt",
                    "product_type": "NORMAL",
                    "published_scope": "web",
                    "template_path": "templates/products/detail.html",
                    "updated_at": "2023-08-28T11:50:32+08:00",
                    "variants": [
                      {
                        "id": "18060878900387832469803144",
                        "weight": "50.00",
                        "barcode": "B0000001",
                        "required_shipping": true,
                        "sku": "T0000001",
                        "taxable": true,
                        "inventory_item_id": "6087890040041533931",
                        "inventory_quantity": 222,
                        "inventory_tracker": true,
                        "compare_at_price": "120.00",
                        "inventory_policy": "deny",
                        "position": 1,
                        "price": "100.00",
                        "product_id": "16060878900384309254383144",
                        "weight_unit": "g"
                      }
                    ],
                    "status": "active"
                  },
                  {
                    "options": [],
                    "product_type": "NORMAL",
                    "published_scope": "web",
                    "status": "draft",
                    "subtitle": "This is a subtitle",
                    "tags": "T shirt",
                    "title": "My Product 17",
                    "created_at": "2023-08-28T11:49:48+08:00",
                    "template_path": "templates/products/detail.html",
                    "updated_at": "2023-08-28T11:49:48+08:00",
                    "body_html": "<p>This is a desription</p>",
                    "image": {
                      "alt": "My Product 17",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "spu": "S0000001",
                    "vendor": "Shopline",
                    "handle": "my-product-17",
                    "id": "16060878893067429883503144",
                    "images": [
                      {
                        "alt": "My Product 17",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "product_behavior": "",
                    "published_at": "2023-08-28T11:49:48+08:00",
                    "variants": [
                      {
                        "compare_at_price": "120.00",
                        "inventory_item_id": "6087889308152263615",
                        "price": "100.00",
                        "taxable": true,
                        "id": "18060878893070953099003144",
                        "inventory_policy": "deny",
                        "product_id": "16060878893067429883503144",
                        "sku": "T0000001",
                        "weight": "50.00",
                        "inventory_quantity": 222,
                        "position": 1,
                        "weight_unit": "g",
                        "barcode": "B0000001",
                        "inventory_tracker": true,
                        "required_shipping": true
                      }
                    ]
                  },
                  {
                    "vendor": "Shopline",
                    "id": "16060878859910114569133144",
                    "tags": "Spring,T shirt",
                    "template_path": "templates/products/detail.html",
                    "status": "active",
                    "body_html": "<p>This is a desription</p>",
                    "created_at": "2023-08-28T11:46:30+08:00",
                    "handle": "my-product-16",
                    "options": [
                      {
                        "id": "16160878859913134468093144",
                        "name": "Color",
                        "product_id": "16060878859910114569133144",
                        "values": [
                          "White"
                        ],
                        "values_images": {}
                      }
                    ],
                    "product_behavior": "",
                    "product_type": "NORMAL",
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "spu": "S000000001",
                    "published_scope": "web",
                    "subtitle": "This is a subtitle",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "published_at": "2023-08-28T11:46:31+08:00",
                    "title": "My Product 16",
                    "updated_at": "2023-08-28T19:23:28+08:00",
                    "variants": [
                      {
                        "compare_at_price": "120.00",
                        "inventory_item_id": "6087885992420710729",
                        "required_shipping": true,
                        "sku": "S00000000101",
                        "taxable": true,
                        "weight_unit": "g",
                        "inventory_quantity": 580,
                        "inventory_tracker": true,
                        "position": 1,
                        "product_id": "16060878859910114569133144",
                        "title": "White",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_policy": "continue",
                        "option1": "White",
                        "barcode": "T00000001",
                        "id": "18060878859913134468073144",
                        "price": "100.00",
                        "weight": "10.00"
                      }
                    ]
                  },
                  {
                    "spu": "S000000001",
                    "status": "active",
                    "template_path": "templates/products/detail.html",
                    "variants": [
                      {
                        "inventory_item_id": "6087885361949712083",
                        "inventory_quantity": 580,
                        "taxable": true,
                        "id": "18060878853605069127743144",
                        "inventory_tracker": true,
                        "option2": "White",
                        "position": 1,
                        "product_id": "16060878853599197112313144",
                        "weight": "10.00",
                        "weight_unit": "g",
                        "compare_at_price": "120.00",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_policy": "continue",
                        "required_shipping": true,
                        "title": "L · White",
                        "barcode": "T00000001",
                        "option1": "L",
                        "price": "100.00",
                        "sku": "S00000000101"
                      },
                      {
                        "weight": "50.00",
                        "compare_at_price": "120.00",
                        "price": "100.00",
                        "sku": "S00000000102",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_policy": "deny",
                        "inventory_tracker": true,
                        "position": 2,
                        "title": "XL · White",
                        "weight_unit": "g",
                        "barcode": "B0000000001",
                        "id": "18060878853605069127833144",
                        "inventory_item_id": "6087885361949712081",
                        "option1": "XL",
                        "product_id": "16060878853599197112313144",
                        "taxable": true,
                        "inventory_quantity": 100,
                        "option2": "White",
                        "required_shipping": true
                      },
                      {
                        "taxable": true,
                        "image": {
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
                          "alt": "My Product-10"
                        },
                        "inventory_policy": "deny",
                        "inventory_tracker": true,
                        "required_shipping": true,
                        "weight": "50.00",
                        "barcode": "B0000000001",
                        "compare_at_price": "120.00",
                        "id": "18060878853605069127893144",
                        "inventory_item_id": "6087885361949712082",
                        "price": "100.00",
                        "sku": "S00000000103",
                        "weight_unit": "g",
                        "option1": "XXL",
                        "option2": "White",
                        "product_id": "16060878853599197112313144",
                        "title": "XXL · White",
                        "inventory_quantity": 170,
                        "position": 3
                      }
                    ],
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "product_type": "NORMAL",
                    "published_scope": "web",
                    "tags": "Spring,T shirt",
                    "updated_at": "2023-08-28T19:19:05+08:00",
                    "body_html": "<p>This is a desription</p>",
                    "id": "16060878853599197112313144",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "options": [
                      {
                        "id": "16160878853605069127763144",
                        "name": "Size",
                        "product_id": "16060878853599197112313144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {}
                      },
                      {
                        "product_id": "16060878853599197112313144",
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160878853605069127793144",
                        "name": "Color"
                      }
                    ],
                    "handle": "my-product-15",
                    "product_behavior": "",
                    "subtitle": "This is a subtitle",
                    "title": "My Product 15",
                    "vendor": "Shopline",
                    "created_at": "2023-08-28T11:45:53+08:00",
                    "published_at": "2023-08-28T11:45:53+08:00"
                  },
                  {
                    "tags": "Spring,T shirt",
                    "id": "16060878844217209993043144",
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "product_type": "NORMAL",
                    "published_at": "2023-08-28T11:44:57+08:00",
                    "status": "active",
                    "subtitle": "This is a subtitle",
                    "body_html": "<p>This is a desription</p>",
                    "product_behavior": "",
                    "title": "My Product 12",
                    "updated_at": "2023-08-28T19:22:51+08:00",
                    "vendor": "Shopline",
                    "options": [
                      {
                        "values_images": {},
                        "id": "16160878844220900980643144",
                        "name": "Size",
                        "product_id": "16060878844217209993043144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ]
                      },
                      {
                        "id": "16160878844220900980673144",
                        "name": "Color",
                        "product_id": "16060878844217209993043144",
                        "values": [
                          "White"
                        ],
                        "values_images": {}
                      }
                    ],
                    "published_scope": "web",
                    "spu": "S000000001",
                    "template_path": "templates/products/detail.html",
                    "variants": [
                      {
                        "compare_at_price": "120.00",
                        "inventory_policy": "continue",
                        "inventory_quantity": 580,
                        "inventory_tracker": true,
                        "product_id": "16060878844217209993043144",
                        "id": "18060878844220900980623144",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_item_id": "6087884423331583696",
                        "price": "100.00",
                        "sku": "S00000000101",
                        "weight": "10.00",
                        "weight_unit": "g",
                        "barcode": "T00000001",
                        "position": 1,
                        "option1": "L",
                        "option2": "White",
                        "required_shipping": true,
                        "taxable": true,
                        "title": "L · White"
                      },
                      {
                        "required_shipping": true,
                        "weight": "50.00",
                        "barcode": "B0000000001",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "option1": "XL",
                        "option2": "White",
                        "sku": "S00000000102",
                        "title": "XL · White",
                        "id": "18060878844220900980713144",
                        "inventory_tracker": true,
                        "position": 2,
                        "price": "100.00",
                        "taxable": true,
                        "weight_unit": "g",
                        "compare_at_price": "120.00",
                        "inventory_item_id": "6087884423331583697",
                        "inventory_policy": "deny",
                        "inventory_quantity": 100,
                        "product_id": "16060878844217209993043144"
                      },
                      {
                        "id": "18060878844220900980773144",
                        "inventory_item_id": "6087884423331583698",
                        "weight_unit": "g",
                        "inventory_policy": "deny",
                        "position": 3,
                        "price": "100.00",
                        "product_id": "16060878844217209993043144",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_tracker": true,
                        "option1": "XXL",
                        "option2": "White",
                        "sku": "S00000000103",
                        "inventory_quantity": 170,
                        "taxable": true,
                        "title": "XXL · White",
                        "weight": "50.00",
                        "required_shipping": true,
                        "barcode": "B0000000001",
                        "compare_at_price": "120.00"
                      }
                    ],
                    "created_at": "2023-08-28T11:44:57+08:00",
                    "handle": "my-product-12",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    }
                  },
                  {
                    "created_at": "2023-08-28T11:44:45+08:00",
                    "handle": "my-product-11",
                    "options": [
                      {
                        "name": "Size",
                        "product_id": "16060878842253940305683144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {},
                        "id": "16160878842258805698403144"
                      },
                      {
                        "product_id": "16060878842253940305683144",
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160878842258805698433144",
                        "name": "Color"
                      }
                    ],
                    "product_behavior": "",
                    "product_type": "NORMAL",
                    "template_path": "templates/products/detail.html",
                    "updated_at": "2023-08-28T19:22:27+08:00",
                    "variants": [
                      {
                        "option1": "L",
                        "option2": "White",
                        "weight_unit": "g",
                        "barcode": "T00000001",
                        "id": "18060878842258805698383144",
                        "product_id": "16060878842253940305683144",
                        "title": "L · White",
                        "weight": "10.00",
                        "compare_at_price": "120.00",
                        "inventory_policy": "continue",
                        "inventory_tracker": true,
                        "required_shipping": true,
                        "sku": "S00000000101",
                        "taxable": true,
                        "inventory_item_id": "6087884227675691860",
                        "inventory_quantity": 580,
                        "position": 1,
                        "price": "100.00",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        }
                      },
                      {
                        "inventory_item_id": "6087884227675691861",
                        "option2": "White",
                        "price": "100.00",
                        "weight": "50.00",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_policy": "deny",
                        "product_id": "16060878842253940305683144",
                        "sku": "S00000000102",
                        "taxable": true,
                        "compare_at_price": "120.00",
                        "id": "18060878842258805698473144",
                        "inventory_quantity": 100,
                        "position": 2,
                        "required_shipping": true,
                        "title": "XL · White",
                        "weight_unit": "g",
                        "barcode": "B0000000001",
                        "inventory_tracker": true,
                        "option1": "XL"
                      },
                      {
                        "compare_at_price": "120.00",
                        "id": "18060878842258805698533144",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_policy": "deny",
                        "inventory_tracker": true,
                        "option1": "XXL",
                        "title": "XXL · White",
                        "barcode": "B0000000001",
                        "weight_unit": "g",
                        "price": "100.00",
                        "product_id": "16060878842253940305683144",
                        "inventory_item_id": "6087884227675691859",
                        "option2": "White",
                        "sku": "S00000000103",
                        "taxable": true,
                        "weight": "50.00",
                        "inventory_quantity": 170,
                        "position": 3,
                        "required_shipping": true
                      }
                    ],
                    "body_html": "<p>This is a desription</p>",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
[...]
